LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Can't install updates with apt-get program Ubuntu 9.04 (https://www.linuxquestions.org/questions/linux-newbie-8/cant-install-updates-with-apt-get-program-ubuntu-9-04-a-805356/)

Ronin-8 05-01-2010 04:34 PM

Can't install updates with apt-get program Ubuntu 9.04
 
Hey guys,

My update manager is alerting me of new updates to be installed and when I try to install them with apt-get, I receive this error message:

ronin-machine1:~$ sudo apt-get install updates
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldn't find package updates

This is the first time I've ever encountered problems updating. I tried updating apt-get thinking maybe this was the problem:

sudo apt-get update

It was successful but it wasn't the problem. I tried Google but the info I could find related to not being able to install specific software. I also tried rebooting my computer just as a last resort and that didn't do anything either.

Any help would be greatly appreciated.

smoker 05-01-2010 04:50 PM

Maybe you should read the error message ?

Quote:

E: Couldn't find package updates
Are you trying to install a package called updates ?

If you are updating installed packages then use apt-get upgrade

http://wiki.linuxhelp.net/index.php/..._Guide#Install

Ronin-8 05-01-2010 06:10 PM

Hey Smoker,

I did read the error message. The last time I updated with apt-get I was positive I typed "sudo apt-get install updates" but I was wrong. Thank you for you help, it worked.


All times are GMT -5. The time now is 01:09 PM.